1. Physical Card Issuer
TrustPay
en
  • en
  • zh
  • Integration Guide
  • Payment Gateway
    • Payment Callback Specification
    • Enums
    • Risk Control – Merchant Integration
    • C21 Suport Regions
      • TrustPay Supported Billing Countries and US/Canada Regions
    • Card Direct Payin
      POST
    • Cashier Payin
      POST
    • Payment Callback
      POST
    • Balance
      POST
    • Order Query
      POST
    • Order Refund
      POST
    • Fee Query
      POST
  • Credit Card Issuer
    • Available Card
      POST
    • Open Card
      POST
    • Open/Recharge Card Callback
      POST
    • Get Card Detail
      POST
    • Card Recharge
      POST
    • Order List
      POST
    • Card List
      POST
    • Transaction List
      POST
    • Fee Query
      POST
  • Physical Card Issuer
    • Create Cardholder
      POST
    • List Cardholders
      POST
    • Assign Physical Cards
      POST
    • List Assigned Physical Cards
      POST
    • Query Card Balance
      POST
    • Query Card Transactions
      POST
    • Query Account
      POST
    • Card Charge
      POST
  • Schemas
    • VCardDetail
    • VOrderDetail
  1. Physical Card Issuer

Create Cardholder

Testing
POST
/v3/pcard/cardholder

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.trustpay.money/v3/pcard/cardholder' \
--header 'Content-Type: application/json' \
--data-raw '{
    "first_name": "Alex",
    "last_name": "Chen",
    "email": "trustpay@money.com",
    "country_code": "SG",
    "phone_number": "91234567",
    "notify_url": "https://rbaskets.trustpay.money/checkout",
    "sign": ""
}'
Response Response Example
{
    "code": 880001,
    "message": "success",
    "data": {
        "cardholder_id": "25ea804d-7fd5-43d5-8792-0fc0214cdb2f",
        "cardholder_status": "SUCCESS"
    }
}
Modified at 2026-05-23 04:59:16
Previous
Fee Query
Next
List Cardholders
Built with